package implement

import (
	"code.fnuoos.com/go_rely_warehouse/test.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/test.git/src/models"
	"code.fnuoos.com/go_rely_warehouse/test.git/utils/logx"
	"xorm.io/xorm"
)

type happyOrchardRewardExchangeRecordsDao struct {
	Db *xorm.Engine
}

func NewHappyOrchardRewardExchangeRecordsDao(engine *xorm.Engine) dao.HappyOrchardRewardExchangeRecordsDao {
	return &happyOrchardRewardExchangeRecordsDao{Db: engine}
}

func (h happyOrchardRewardExchangeRecordsDao) GetHappyOrchardRewardExchangeRecords(id int) (m *models.HappyOrchardRewardExchangeRecords, err error) {
	//TODO implement me
	m = new(models.HappyOrchardRewardExchangeRecords)
	has, err := h.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (h happyOrchardRewardExchangeRecordsDao) FindHappyOrchardRewardExchangeRecordsByUid(uid int) (mm *[]models.HappyOrchardRewardExchangeRecords, err error) {
	//TODO implement me
	var m []models.HappyOrchardRewardExchangeRecords
	if err := h.Db.Where("uid =?", uid).Desc("id").Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
